IDshield: IAM - Task #17061

WSC: User retrieval web service
02/11/2023 10:39 PM - Sachin Divekar

Status: Closed Start date: 02/11/2023
Priority: Normal Due date:

Assignee: Aniket Shinde % Done: 10%
Category: Estimated time: 0.00 hour
Target version:

Description

The web service should accept a user name or ID as input and return the corresponding user details from Keycloak.

Use Alya to create the web service.

Use gocloak to get the user from Keycloak based on the ID or username provided in the request.
Handle any errors that may occur during the user creation process and returning the error response.
Test the web service to ensure it returns the correct user and required details.

user-get web service

History

#1 - 21/11/2023 06:23 PM - Aniket Shinde

- Assignee set to Aniket Shinde

- Status changed from New to In Progress

- File clipboard-202311211821-xIzjp.png added
- File clipboard-202311211820-iridk.png added
- File clipboard-202311211819-dilm2.png added

Create User retrieval web service:
1. Created User retrieval web service by ID:[GET("/user/:id", getUserByID)]
1) getBylID:
d=acebd3cb-70 Send Status:

Response

ac6bd3c

imestamp": 1697180
“: "user 1",
"enabled": true,

name user_2

": "One",
eableCredential Types
2) getByUserName:
GET ~ @ http:/flocalhost:8081/user/remiges-tech?name=user_2 Send
Query
Query Parameters
id ac6bd3cb-7007-4Fc2-ba3d-586db

user_2

3)Missing both ID & UserName:
GET - http:fflocalhost:8081/userfremiges-tech
Query

Query Parameters
id ac6bd3cb-7007-4Fc2-ba3d-586db

user_2

#2 - 22/11/2023 02:44 PM - Aniket Shinde
- % Done changed from 0 to 10

fix: Response payload (implemented required field in response)

GetUser: response
Status:

Response

{
"status": "success",
"data": [
{
"id": "871867a2-84a3-48b2-9046-d803b76d5a22",
"createdTimestamp": 1697181479887,
"username": "user 2",
"enabled": true,
"totp": false,
"emailverified": false,
“"firstName": "User",
"lastName": "Two",
"disableableCredentialTypes": [],
"requiredActions": [
"UPDATE PASSWORD"
1,
"access": {
"impersonate”: true,
"manage": true,
"manageGroupMembership”: true,
"mapRoles": true,
"view": true

1,

"maccansc" - [1

Status:

Response

{
"status": "success",
"data": null,
"messages": [
{
"field": "missing",
"code": "id or name required in url",
"msgcode”: @
1
1
}




"status": "success",

"data": {
"id": "ac6bd3cb-7007-4fc2-ba3d-586dbc4lecOf",
"username": "user_1",
"firstName": "User",
"lastName": "One",

"emailVerified": true,
"enabled": true

}I
"messages": []

CreateUser : response

"status": "success",
"data": {
"id": "d8425004-0d12-46a3-a737-2f5fbb5daeca",
"username": "user_12",
"email": "Brij@domain.com",
"firstName": "Brij",
"lastName": "Endra",

"enabled": true

)I

"messages": []

#3 - 22/11/2023 04:17 PM - Aniket Shinde
- File clipboard-202311221616-yadpx.png added
- File clipboard-202311221604-da3sw.png added

USER_NOT_FOUND_IN_REALM

Status:

Response

’arameters

"realm",
SER NOT FOUND",

Status:

Response

Parameters

>ER_NOT_FOUND™,

#4 - 15/02/2024 09:59 AM - Sachin Divekar

- Status changed from In Progress to Closed
